Index: /LMDZ4/trunk/libf/phylmd/write_histday_seri.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/write_histday_seri.h	(revision 644)
+++ /LMDZ4/trunk/libf/phylmd/write_histday_seri.h	(revision 644)
@@ -0,0 +1,238 @@
+c
+c $Header$
+c
+      IF (type_run.EQ."AMIP") THEN
+c
+      ndex2d = 0
+      itau_w = itau_phy + itap
+c
+c Champs 2D:
+c
+      pi = ACOS(-1.)
+      pir = 4.0*ATAN(1.0) / 180.0
+c
+      DO i=1, klon
+       zx_tmp_fi2d(i)=(topsw(i)-toplw(i))
+      ENDDO
+c
+      ok_msk=.FALSE.
+      msk(1:klon)=pctsrf(1:klon,is_ter)
+      CALL moyglo_pondaire(klon, zx_tmp_fi2d, airephy, 
+     .     ok_msk, msk, moyglo)
+      zx_tmp_fi2d(1:klon)=moyglo
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_day_seri,"bilTOA",itau_w,
+     .               zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+      ok_msk=.FALSE.
+      CALL moyglo_pondaire(klon, bils, airephy, 
+     .     ok_msk, msk, moyglo)
+      zx_tmp_fi2d(1:klon)=moyglo
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_day_seri,"bils",itau_w,
+     .               zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+      DO k=1, klev
+      DO i=1, klon
+cIM 080904    zx_tmp_fi3d(i,k)=u(i,k)**2+v(i,k)**2
+       zx_tmp_fi3d(i,k)=(u(i,k)**2+v(i,k)**2)/2.
+      ENDDO
+      ENDDO
+c
+      CALL moyglo_pondaima(klon, klev, zx_tmp_fi3d, 
+     .     airephy, paprs, moyglo)
+      zx_tmp_fi2d(1:klon)=moyglo
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_day_seri,"ecin",itau_w,
+     .               zx_tmp_2d,iim*jjmp1,ndex2d) 
+c
+cIM 151004 BEG
+      IF(1.EQ.0) THEN
+c
+      DO k=1, klev
+      DO i=1, klon
+       zx_tmp_fi3d(i,k)=u_seri(i,k)*RA*cos(pir* rlat(i))
+      ENDDO
+      ENDDO
+c
+      CALL moyglo_pondaima(klon, klev, zx_tmp_fi3d, 
+     .     airephy, paprs, moyglo)
+      zx_tmp_fi2d(1:klon)=moyglo
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_day_seri,"momang",itau_w,zx_tmp_2d,
+     .               iim*jjmp1,ndex2d)
+c
+c friction torque
+c
+      DO i=1, klon
+       zx_tmp_fi2d(i)=zxfluxu(i,1)*RA* cos(pir* rlat(i))
+      ENDDO
+c
+      ok_msk=.FALSE.
+      CALL moyglo_pondaire(klon, zx_tmp_fi2d, airephy, 
+     .     ok_msk, msk, moyglo)
+      zx_tmp_fi2d(1:klon)=moyglo
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_day_seri,"frictor",itau_w,zx_tmp_2d,
+     .               iim*jjmp1,ndex2d)
+c
+c mountain torque
+c
+cIM 190504 BEG
+      CALL gr_fi_dyn(1,klon,iim+1,jjm+1,airephy,airedyn)
+      CALL gr_fi_dyn(klev+1,klon,iim+1,jjm+1,paprs,padyn)
+      CALL gr_fi_dyn(1,klon,iim+1,jjm+1,rlat,rlatdyn)
+      mountor=0.
+      airetot=0.
+      DO j = 1, jjmp1
+       DO i = 1, iim+1
+        ij=i+(iim+1)*(j-1)
+        zx_tmp(ij)=0.
+        DO k = 1, klev
+         zx_tmp(ij)=zx_tmp(ij)+dudyn(i,j,k)*airedyn(i,j)*
+     $              (padyn(i,j,k+1)-padyn(i,j,k))/RG
+         airetot=airetot+airedyn(i,j)
+        ENDDO
+cIM 190504 mountor=mountor+zx_tmp(ij)*airedyn(i,j)*RA*
+        mountor=mountor+zx_tmp(ij)*RA*
+     $           cos(pir* rlatdyn(i,j))
+       ENDDO
+      ENDDO
+cIM 151004 BEG
+      IF(itap.EQ.1) PRINT*,'airetot=',airetot,airetot/klev
+cIM 151004 END
+cIM 190504      mountor=mountor/(airetot*airetot)
+      mountor=mountor/airetot
+c
+cIM 190504 END
+      zx_tmp_2d(1:iim,1:jjmp1)=mountor
+      CALL histwrite(nid_day_seri,"mountor",itau_w,zx_tmp_2d,
+     .               iim*jjmp1,ndex2d)
+c
+      ENDIF !(1.EQ.0) THEN
+c
+c
+      CALL gr_fi_dyn(1,klon,iim+1,jjm+1,airephy,airedyn)
+      CALL gr_fi_ecrit(1,klon,iim,jjmp1,airephy,zx_tmp_2d)
+      airetot=0.
+c     DO j = 1, jjmp1
+c      DO i = 1, iim+1
+c       ij=i+(iim+1)*(j-1)
+c       DO k = 1, klev
+c        airetot=airetot+airedyn(i,j)
+c        airetot=airetot+airedyn(i,j)
+c       ENDDO !k
+c      ENDDO !i
+c     ENDDO !j
+c
+      DO i=1, klon
+       airetot=airetot+airephy(i)
+      ENDDO
+c     IF(itap.EQ.1) PRINT*,'airetotphy=',airetot
+c
+      airetot=0.
+      DO j=1, jjmp1
+       DO i=1, iim
+        airetot=airetot+zx_tmp_2d(i,j)
+       ENDDO
+      ENDDO
+c
+c     IF(itap.EQ.1) PRINT*,'airetotij=',airetot,
+c    $ '4piR2',4.*pi*RA*RA
+c
+      zx_tmp_fi2d(1:klon)=aam/airetot
+      CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_day_seri,"momang",itau_w,zx_tmp_2d,
+     .               iim*jjmp1,ndex2d)
+c
+      zx_tmp_fi2d(1:klon)=torsfc/airetot
+      CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_day_seri,"torsfc",itau_w,zx_tmp_2d,
+     .               iim*jjmp1,ndex2d)
+c
+cIM 151004 END
+c
+      CALL moyglo_pondmass(klon, klev, t_seri,
+     .     airephy, paprs, moyglo)
+      zx_tmp_fi2d(1:klon)=moyglo
+c
+      CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_day_seri,"tamv",itau_w,
+     .               zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+      ok_msk=.FALSE.
+      CALL moyglo_pondaire(klon, paprs(:,1), airephy, 
+     .     ok_msk, msk, moyglo)
+      zx_tmp_fi2d(1:klon)=moyglo
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_day_seri,"psol",itau_w,
+     .               zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+      ok_msk=.FALSE.
+      CALL moyglo_pondaire(klon, evap, airephy, 
+     .     ok_msk, msk, moyglo)
+      zx_tmp_fi2d(1:klon)=moyglo
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_day_seri,"evap",itau_w,
+     .               zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+c     DO i=1, klon
+c      zx_tmp_fi2d(i)=SnowFrac(i,is_ter)
+c     ENDDO
+c
+c     ok_msk=.TRUE.
+c     msk(1:klon)=pctsrf_new(1:klon,is_ter)
+c     CALL moyglo_pondaire(klon, zx_tmp_fi2d, airephy, 
+c    .                     ok_msk, msk, moyglo)
+c     zx_tmp_fi2d(1:klon)=moyglo
+c
+c     CALL gr_fi_ecrit(1, klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
+c     CALL histwrite(nid_day_seri,"SnowFrac",
+c    .               itau_w,zx_tmp_2d,iim*jjmp1,ndex2d) 
+c
+c     DO i=1, klon
+cIM 080904    zx_tmp_fi2d(i)=zsnow_mass(i)/330.*rowl
+c      zx_tmp_fi2d(i)=zsnow_mass(i)
+c     ENDDO
+c
+cIM 140904   ok_msk=.FALSE.
+c     ok_msk=.TRUE.
+c     msk(1:klon)=pctsrf(1:klon,is_ter)
+c     CALL moyglo_pondaire(klon, zx_tmp_fi2d, airephy, 
+c    .     ok_msk, msk, moyglo)
+c     zx_tmp_fi2d(1:klon)=moyglo
+c
+c     CALL gr_fi_ecrit(1, klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
+c     CALL histwrite(nid_day_seri,"snow_depth",itau_w,
+c    .               zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+      DO i=1, klon
+       zx_tmp_fi2d(i)=ftsol(i,is_oce)
+      ENDDO
+c
+      ok_msk=.TRUE.
+      msk(1:klon)=pctsrf(1:klon,is_oce)
+      CALL moyglo_pondaire(klon, zx_tmp_fi2d, airephy, 
+     .     ok_msk, msk, moyglo)
+      zx_tmp_fi2d(1:klon)=moyglo
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d, zx_tmp_2d)
+      CALL histwrite(nid_day_seri,"tsol_"//clnsurf(is_oce),
+     $               itau_w,zx_tmp_2d,iim*jjmp1,ndex2d) 
+c
+c=================================================================
+c=================================================================
+c=================================================================
+c
+      if (ok_sync) then
+        call histsync(nid_day_seri)
+      endif
+c
+      ENDIF !fin test sur type_run.EQ."AMIP"
Index: /LMDZ4/trunk/libf/phylmd/write_histhf.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/write_histhf.h	(revision 643)
+++ /LMDZ4/trunk/libf/phylmd/write_histhf.h	(revision 644)
@@ -4,24 +4,14 @@
       if (ok_hf) then
 
-c   Comprendre comment marche el i=nint(zout/zsto)
-c
-c     print*,'ACRITURE HF !!! ACRITURE HF !!! ACRITURE HF !!! '
+c
       ndex2d = 0
       ndex3d = 0
 c
-      zsto = dtime
-      zout = dtime * ecrit_hf
       itau_w = itau_phy + itap
 c
+      IF(type_run.EQ."CLIM".OR.type_run.EQ."ENSP") THEN
+c
       IF(lev_histhf.GE.1) THEN
 c
-c     i = NINT(zout/zsto)
-c     CALL gr_fi_ecrit(1,klon,iim,jjmp1,pphis,zx_tmp_2d)
-c     CALL histwrite(nid_hf,"phis",i,zx_tmp_2d,iim*jjmp1,ndex2d)
-c
-c     i = NINT(zout/zsto)
-c     CALL gr_fi_ecrit(1,klon,iim,jjmp1,paire,zx_tmp_2d)
-c     CALL histwrite(nid_hf,"aire",i,zx_tmp_2d,iim*jjmp1,ndex2d)
-C
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, paire_ter, zx_tmp_2d)
       CALL histwrite(nid_hf,"aireTER",itau_w,
@@ -59,5 +49,5 @@
       ENDDO
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
-      CALL histwrite(nid_hf,"rain",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_hf,"precip",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 c ENSEMBLES BEG
@@ -68,4 +58,5 @@
       CALL histwrite(nid_hf,"slp",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
+c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, zu10m,zx_tmp_2d)
       CALL histwrite(nid_hf,"u10m",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
@@ -81,10 +72,21 @@
      $     iim*jjmp1,ndex2d)
 c
-      DO k=1, nlevENS
-      IF(clev(k).EQ."500") THEN
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, philev(:,k),zx_tmp_2d)
-      CALL histwrite(nid_hf,"phi"//clev(k),itau_w,zx_tmp_2d,
-     $       iim*jjmp1,ndex2d)
-      ENDIF !clev(k).EQ."500"
+      DO k=1, nlevSTD
+c
+c        bb=clevSTD(k)
+c
+c        IF(k.GE.2) THEN
+         IF(k.GE.2.AND.k.LE.12) bb2=clevSTD(k)
+         IF(k.GE.13.AND.k.LE.17) bb3=clevSTD(k)
+c         aa=clevSTD(k)
+c         bb=aa(1:lnblnk1(aa))
+c        ENDIF
+c
+      IF(bb2.EQ."500") THEN
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, philevSTD(:,k),zx_tmp_2d)
+      CALL histwrite(nid_hf,"phi"//bb2,itau_w,zx_tmp_2d,
+     $       iim*jjmp1,ndex2d)
+      ENDIF !bb2.EQ."500"
       ENDDO
 c
@@ -93,5 +95,11 @@
       IF(lev_histhf.GE.2) THEN
 c
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, cldt,zx_tmp_2d)
+cIM 140904 BEG
+      DO i = 1, klon
+         zx_tmp_fi2d(i) = cldt(i)*100.
+      ENDDO
+cIM 140904 END
+cIM 140904   CALL gr_fi_ecrit(1, klon,iim,jjmp1, cldt,zx_tmp_2d)
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
       CALL histwrite(nid_hf,"cldt",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
@@ -115,34 +123,42 @@
       IF(lev_histhf.GE.3) THEN
 c
-      DO k=1, nlevENS
-c
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, tlev(:,k),zx_tmp_2d)
-      CALL histwrite(nid_hf,"t"//clev(k),itau_w,zx_tmp_2d,
-     $       iim*jjmp1,ndex2d)
-c
-      IF(clev(k).NE."500") THEN !clev(k).NE."500"
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, philev(:,k),zx_tmp_2d)
-      CALL histwrite(nid_hf,"phi"//clev(k),itau_w,zx_tmp_2d,
-     $       iim*jjmp1,ndex2d)
-      ENDIF !clev(k).NE."500"
-c
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, qlev(:,k),zx_tmp_2d)
-      CALL histwrite(nid_hf,"q"//clev(k),itau_w,zx_tmp_2d,
-     $       iim*jjmp1,ndex2d)
-c
-      IF(1.EQ.0) THEN
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, rhlev(:,k),zx_tmp_2d)
-      CALL histwrite(nid_hf,"rh"//clev(k),itau_w,zx_tmp_2d,
-     $       iim*jjmp1,ndex2d)
-      ENDIF !1.EQ.0
-c
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, ulev(:,k),zx_tmp_2d)
-      CALL histwrite(nid_hf,"u"//clev(k),itau_w,zx_tmp_2d,
-     $       iim*jjmp1,ndex2d)
-c
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, vlev(:,k),zx_tmp_2d)
-      CALL histwrite(nid_hf,"v"//clev(k),itau_w,zx_tmp_2d,
-     $       iim*jjmp1,ndex2d)
-c
+      DO k=1, nlevSTD
+c
+c        bb=clevSTD(k)
+c
+c        IF(k.GE.2) THEN
+         IF(k.GE.2.AND.k.LE.12) bb2=clevSTD(k)
+         IF(k.GE.13.AND.k.LE.17) bb3=clevSTD(k)
+c         aa=clevSTD(k)
+c         bb=aa(1:lnblnk1(aa))
+c        ENDIF
+c
+      IF(bb2.EQ."850".OR.bb2.EQ."700".OR.
+     $   bb2.EQ."500".OR.bb2.EQ."200") THEN
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, tlevSTD(:,k),zx_tmp_2d)
+      CALL histwrite(nid_hf,"t"//bb2,itau_w,zx_tmp_2d,
+     $       iim*jjmp1,ndex2d)
+c
+      IF(bb2.NE."500") THEN !bb2.NE."500"
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1,philevSTD(:,k),zx_tmp_2d)
+      CALL histwrite(nid_hf,"phi"//bb2,itau_w,zx_tmp_2d,
+     $       iim*jjmp1,ndex2d)
+      ENDIF !bb2.NE."500"
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, qlevSTD(:,k),zx_tmp_2d)
+      CALL histwrite(nid_hf,"q"//bb2,itau_w,zx_tmp_2d,
+     $       iim*jjmp1,ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, ulevSTD(:,k),zx_tmp_2d)
+      CALL histwrite(nid_hf,"u"//bb2,itau_w,zx_tmp_2d,
+     $       iim*jjmp1,ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, vlevSTD(:,k),zx_tmp_2d)
+      CALL histwrite(nid_hf,"v"//bb2,itau_w,zx_tmp_2d,
+     $       iim*jjmp1,ndex2d)
+c
+      ENDIF !bb2.EQ."850".OR.bb2.EQ."700"
       ENDDO !nlevENS
 c
@@ -159,4 +175,5 @@
       IF(lev_histhf.GE.4) THEN 
 c
+#undef histhf3d
 #define histhf3d
 #ifdef histhf3d
@@ -166,7 +183,207 @@
       ENDIF !lev_histhf.GE.4
 c
-      if (ok_sync) then
+      ELSE IF(type_run.EQ."AMIP".OR.type_run.EQ."CFMI") THEN
+c
+      IF(lev_histhf.GE.1) THEN
+c
+      DO k=1, nlevSTD
+c        bb=clevSTD(k)
+c
+c        IF(k.GE.2) THEN
+         IF(k.GE.2.AND.k.LE.12) bb2=clevSTD(k)
+         IF(k.GE.13.AND.k.LE.17) bb3=clevSTD(k)
+c         aa=clevSTD(k)
+c         bb=aa(1:lnblnk1(aa))
+c        ENDIF
+c
+        IF(bb2.EQ."850".or.bb2.EQ."200") THEN
+c
+        CALL gr_fi_ecrit(1, klon,iim,jjmp1, ulevSTD(:,k),zx_tmp_2d)
+        CALL histwrite(nid_hf,"u"//bb2,itau_w,zx_tmp_2d,
+     $       iim*jjmp1,ndex2d)
+c
+        CALL gr_fi_ecrit(1, klon,iim,jjmp1, vlevSTD(:,k),zx_tmp_2d)
+        CALL histwrite(nid_hf,"v"//bb2,itau_w,zx_tmp_2d,
+     $       iim*jjmp1,ndex2d)
+c
+        ENDIF !bb2.EQ."850".or.bb2.EQ."200"
+c
+      ENDDO !nlevSTD
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, toplw,zx_tmp_2d)
+      CALL histwrite(nid_hf,"topl",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+      DO i = 1, klon
+         zx_tmp_fi2d(i) = rain_fall(i) + snow_fall(i)
+      ENDDO
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_hf,"precip",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, slp,zx_tmp_2d)
+      CALL histwrite(nid_hf,"slp",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+cIM 280504 BEG
+      ENDIF !(lev_histhf.GE.1) THEN
+c
+      IF(lev_histhf.GE.2) THEN
+c
+       DO k=1, nlevSTD
+c
+c        bb=clevSTD(k)
+c
+c        IF(k.GE.2) THEN
+         IF(k.GE.2.AND.k.LE.12) bb2=clevSTD(k)
+         IF(k.GE.13.AND.k.LE.17) bb3=clevSTD(k)
+c         aa=clevSTD(k)
+c         bb=aa(1:lnblnk1(aa))
+c        ENDIF
+c
+        IF(bb2.EQ."850".or.bb2.EQ."500") THEN
+c
+         CALL gr_fi_ecrit(1, klon,iim,jjmp1, tlevSTD(:,k),zx_tmp_2d)
+         CALL histwrite(nid_hf,"t"//bb2,itau_w,zx_tmp_2d,
+     $       iim*jjmp1,ndex2d)
+c
+         CALL gr_fi_ecrit(1, klon,iim,jjmp1, qlevSTD(:,k),zx_tmp_2d)
+         CALL histwrite(nid_hf,"q"//bb2,itau_w,zx_tmp_2d,
+     $       iim*jjmp1,ndex2d)
+c
+        ENDIF !bb2.EQ."850".or.bb2.EQ."500"
+c
+        IF(bb2.EQ."500") THEN
+c
+         CALL gr_fi_ecrit(1, klon,iim,jjmp1, philevSTD(:,k),zx_tmp_2d)
+         CALL histwrite(nid_hf,"phi"//bb2,itau_w,zx_tmp_2d,
+     $       iim*jjmp1,ndex2d)
+c
+        CALL gr_fi_ecrit(1, klon,iim,jjmp1, wlevSTD(:,k),zx_tmp_2d)
+        CALL histwrite(nid_hf,"w"//bb2,itau_w,zx_tmp_2d,
+     $       iim*jjmp1,ndex2d)
+c
+        ENDIF !bb2.EQ."500"
+c
+        IF(bb3.EQ."50") THEN
+c
+         CALL gr_fi_ecrit(1, klon,iim,jjmp1, tlevSTD(:,k),zx_tmp_2d)
+         CALL histwrite(nid_hf,"t"//bb3,itau_w,zx_tmp_2d,
+     $       iim*jjmp1,ndex2d)
+c
+        CALL gr_fi_ecrit(1, klon,iim,jjmp1, ulevSTD(:,k),zx_tmp_2d)
+        CALL histwrite(nid_hf,"u"//bb3,itau_w,zx_tmp_2d,
+     $       iim*jjmp1,ndex2d)
+c
+        CALL gr_fi_ecrit(1, klon,iim,jjmp1, vlevSTD(:,k),zx_tmp_2d)
+        CALL histwrite(nid_hf,"v"//bb3,itau_w,zx_tmp_2d,
+     $       iim*jjmp1,ndex2d)
+c
+        ENDIF !bb3.EQ."50"
+c
+       ENDDO !k=1, nlevSTD
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zu10m,zx_tmp_2d)
+      CALL histwrite(nid_hf,"u10m",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zv10m,zx_tmp_2d)
+      CALL histwrite(nid_hf,"v10m",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zt2m,zx_tmp_2d)
+      CALL histwrite(nid_hf,"t2m",itau_w,zx_tmp_2d,iim*jjmp1,
+     $               ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zq2m,zx_tmp_2d)
+      CALL histwrite(nid_hf,"q2m",itau_w,zx_tmp_2d,iim*jjmp1,
+     $               ndex2d)
+c
+      DO i = 1, klon
+         zx_tmp_fi2d(i) = paprs(i,1)
+      ENDDO
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_hf,"psol",itau_w,zx_tmp_2d,iim*jjmp1,
+     $               ndex2d)
+c
+cIM 140904 BEG
+      DO i = 1, klon
+         zx_tmp_fi2d(i) = cldt(i)*100.
+      ENDDO
+cIM 140904 END
+cIM 140904   CALL gr_fi_ecrit(1, klon,iim,jjmp1, cldt,zx_tmp_2d)
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_hf,"cldt",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+      zx_tmp_fi2d(1 : klon) = zxfluxu(1 : klon, 1)
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d , zx_tmp_2d)
+      CALL histwrite(nid_hf,"taux",itau_w,
+     $      zx_tmp_2d,iim*jjmp1,ndex2d)
+C
+      zx_tmp_fi2d(1 : klon) = zxfluxv(1 : klon, 1)
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d , zx_tmp_2d)
+      CALL histwrite(nid_hf,"tauy",itau_w,
+     $      zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, prw,zx_tmp_2d)
+      CALL histwrite(nid_hf,"prw",itau_w,zx_tmp_2d,
+     $               iim*jjmp1,ndex2d)
+c
+      zx_tmp_fi2d(1:klon)=-1*sens(1:klon)
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_hf,"sens",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zxfluxlat,zx_tmp_2d)
+      CALL histwrite(nid_hf,"flat",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+c     CALL gr_fi_ecrit(1, klon,iim,jjmp1, zsnow_mass,zx_tmp_2d)
+c     CALL histwrite(nid_hf,"snow_mass",itau_w,zx_tmp_2d,iim*jjmp1,
+c    $               ndex2d)
+c
+      zx_tmp_fi2d(1 : klon) = swdn ( 1 : klon, 1 )
+      CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_hf, "SWdnSFC",itau_w,zx_tmp_2d,
+     $                               iim*jjmp1,ndex2d)
+c
+      zx_tmp_fi2d(1 : klon) = swup ( 1 : klon, 1 )
+      CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_hf, "SWupSFC",itau_w,zx_tmp_2d,
+     $                               iim*jjmp1,ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, sollwdown,zx_tmp_2d)
+      CALL histwrite(nid_hf,"LWdnSFC",itau_w,zx_tmp_2d,iim*jjmp1,
+     $               ndex2d)
+c
+cIM 090904   zx_tmp_fi2d(1:klon)=sollw(1:klon)+sollwdown(1:klon)
+cIM 130904   zx_tmp_fi2d(1:klon)=sollw(1:klon)-sollwdown(1:klon)
+      zx_tmp_fi2d(1:klon)=sollwdown(1:klon)-sollw(1:klon)
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d, zx_tmp_2d)
+      CALL histwrite(nid_hf,"LWupSFC",itau_w,zx_tmp_2d,iim*jjmp1,
+     $               ndex2d)                    
+c
+      zx_tmp_fi2d(1 : klon) = swdn ( 1 : klon, klevp1 )
+      CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_hf, "SWdnTOA",itau_w,zx_tmp_2d,
+     $                               iim*jjmp1,ndex2d)
+c
+      zx_tmp_fi2d(1 : klon) = swup ( 1 : klon, klevp1 )
+      CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_hf, "SWupTOA",itau_w,zx_tmp_2d,
+     $                               iim*jjmp1,ndex2d)
+c
+      CALL gr_fi_ecrit(nbteta,klon,iim,jjmp1,PVteta,zx_tmp_3dte)
+      DO k=1, nbteta
+       CALL histwrite(nid_hf,"PV"//ctetaSTD(k),
+     .      itau_w,zx_tmp_3dte(:,:,k),iim*jjmp1,ndex2d)
+      ENDDO !k=1, nbteta
+c
+c
+c planetary boundary layer height
+c
+c     ENDIF !1.EQ.0
+c
+      ENDIF !(lev_histhf.GE.2) THEN
+cIM 280504 END
+c
+      ENDIF !type_run
+c
+      IF (ok_sync) THEN
         call histsync(nid_hf)
-      endif
+      ENDIF
 
-      endif
+      ENDIF
Index: /LMDZ4/trunk/libf/phylmd/write_histhf3d.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/write_histhf3d.h	(revision 643)
+++ /LMDZ4/trunk/libf/phylmd/write_histhf3d.h	(revision 644)
@@ -1,18 +1,10 @@
-!
-! $Header$
-!
-c     if (ok_hf) then
-
-c   Comprendre comment marche el i=nint(zout/zsto)
 c
-c     print*,'ACRITURE HF !!! ACRITURE HF !!! ACRITURE HF !!! '
+c $Header$
+c
+c
       ndex2d = 0
       ndex3d = 0
 c
-      zsto = dtime
-      zout = dtime * ecrit_hf
       itau_w = itau_phy + itap
-c
-c     IF(lev_histhf.GE.1) THEN
 c
 c Champs 3D:
@@ -34,9 +26,5 @@
      .                                   iim*jjmp1*klev,ndex3d)
 c
-c     ENDIF !lev_histhf.GE.1
-c
       if (ok_sync) then
         call histsync(nid_hf3d)
       endif
-
-c     endif
Index: /LMDZ4/trunk/libf/phylmd/write_histins.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/write_histins.h	(revision 643)
+++ /LMDZ4/trunk/libf/phylmd/write_histins.h	(revision 644)
@@ -114,7 +114,12 @@
       DO nsrf = 1, nbsrf
 CXXX
+        zx_tmp_fi2d(1 : klon) = pctsrf( 1 : klon, nsrf)*100.
+        CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d , zx_tmp_2d)
+        CALL histwrite(nid_ins,"pourc_"//clnsurf(nsrf),itau_w,
+     $      zx_tmp_2d,iim*jjmp1,ndex2d) 
+C 
         zx_tmp_fi2d(1 : klon) = pctsrf( 1 : klon, nsrf)
         CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d , zx_tmp_2d)
-        CALL histwrite(nid_ins,"pourc_"//clnsurf(nsrf),itau_w,
+        CALL histwrite(nid_ins,"fract_"//clnsurf(nsrf),itau_w,
      $      zx_tmp_2d,iim*jjmp1,ndex2d) 
 C 
@@ -160,10 +165,55 @@
       CALL histwrite(nid_ins,"albslw",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zxsnow,zx_tmp_2d)
-      CALL histwrite(nid_ins,"snow_mass",itau_w,zx_tmp_2d,iim*jjmp1,
-     .               ndex2d)
+cIM: 140404   CALL gr_fi_ecrit(1, klon,iim,jjmp1, zxsnow,zx_tmp_2d)
+c     CALL gr_fi_ecrit(1, klon,iim,jjmp1, zsnow_mass,zx_tmp_2d)
+c     CALL histwrite(nid_ins,"snow_mass",itau_w,zx_tmp_2d,iim*jjmp1,
+c    .               ndex2d)
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, zxrugs,zx_tmp_2d)
       CALL histwrite(nid_ins,"rugs",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+cIM cf. AM 081204 BEG
+c
+cHBTM2
+c
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, s_pblh,zx_tmp_2d)
+      CALL histwrite(nid_ins,"s_pblh",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, s_pblt,zx_tmp_2d)
+      CALL histwrite(nid_ins,"s_pblt",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, s_lcl,zx_tmp_2d)
+      CALL histwrite(nid_ins,"s_lcl",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, s_capCL,zx_tmp_2d)
+      CALL histwrite(nid_ins,"s_capCL",itau_w,zx_tmp_2d,iim*jjmp1,
+     .               ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, s_oliqCL,zx_tmp_2d)
+      CALL histwrite(nid_ins,"s_oliqCL",itau_w,zx_tmp_2d,iim*jjmp1,
+     .               ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, s_cteiCL,zx_tmp_2d)
+      CALL histwrite(nid_ins,"s_cteiCL",itau_w,zx_tmp_2d,iim*jjmp1,
+     .               ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, s_therm,zx_tmp_2d)
+      CALL histwrite(nid_ins,"s_therm",itau_w,zx_tmp_2d,iim*jjmp1,
+     .               ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, s_trmb1,zx_tmp_2d)
+      CALL histwrite(nid_ins,"s_trmb1",itau_w,zx_tmp_2d,iim*jjmp1,
+     .               ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, s_trmb2,zx_tmp_2d)
+      CALL histwrite(nid_ins,"s_trmb2",itau_w,zx_tmp_2d,iim*jjmp1,
+     .               ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, s_trmb3,zx_tmp_2d)
+      CALL histwrite(nid_ins,"s_trmb3",itau_w,zx_tmp_2d,iim*jjmp1,
+     .               ndex2d)
+c
+cIM cf. AM 081204 END
 c
 c Champs 3D:
